#
# spec file for package ltunify
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Philipp Westphal 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ltunify
Version:        0.2+git.20140331
Release:        3.3
Summary:        Tool for working with Logitech Unifying receivers and devices
License:        GPL-3.0+
Group:          Hardware/Other
Url:            https://git.lekensteyn.nl/ltunify/
Source:         ltunify-%{version}.tar.xz
BuildRequires:  systemd-rpm-macros
BuildRequires:  udev
Requires:       udev

%description
This program allows the user to pair or unpair multiple Logitech Unify [TM] devices to one dongel

%prep
%setup -q

%build
make CFLAGS="%{optflags}" ltunify %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} bindir=%{_bindir} udevrulesdir=%{_udevrulesdir}

%files
%defattr(-,root,root)
%doc README.txt registers.txt
%{_udevrulesdir}/*.rules
%{_bindir}/ltunify

%changelog
* Thu Oct 15 2015 fcrozat@suse.com
- Remove download url for source, since it is a git snapshot done
  by source service.
* Thu Oct 15 2015 fcrozat@suse.com
- Update to git snapshot (c3a263f)
- Ship udev rules
- Add BuildRequires: systemd-rpm-macros to udev rules install
* Mon Jul 22 2013 seiler@b1-systems.de
- initial commit
